## playwright-python 1.42.0

=== todomvc/requirements.txt ===
pytest-playwright==0.3.0

=== debian/changelog ===
playwright-python (1.42.0-0kali3) kali-dev; urgency=medium

  * Remove embedded node interpreter
  * Update my email
  * Fix typo in debian/copyright

 -- Sophie Brun <sophie@kali.org>  Mon, 08 Sep 2025 16:15:34 +0200

playwright-python (1.42.0-0kali2) kali-dev; urgency=medium

  * Add previously ignored debian/driver

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 Apr 2024 18:31:05 +0200

playwright-python (1.42.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 Apr 2024 18:03:55 +0200

=== debian/control ===
Source: playwright-python
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/microsoft/playwright-python
Vcs-Browser: https://gitlab.com/kalilinux/packages/playwright-python
Vcs-Git: https://gitlab.com/kalilinux/packages/playwright-python.git

Package: python3-playwright
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
 nodejs
Description: library to automate Chromium, Firefox and WebKit browsers (Python 3)
 This package contains Python library to automate Chromium, Firefox and WebKit
 browsers with a single API. Playwright delivers automation that is ever-green,
 capable, reliable and fast.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=playwright

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_configure:
	debian/generate_repo_version

execute_after_dh_python3:
	cp -r debian/driver $(CURDIR)/debian/python3-playwright/usr/lib/python3/dist-packages/playwright

execute_after_dh_install:
	rm debian/python3-playwright/usr/bin/playwright

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/microsoft/playwright-python/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
